<?php
/**
* joomla_lms.homework.html.php
* (c) JoomaLMS eLearning Software http://www.joomlalms.com/
**/

// no direct access
defined( '_JLMS_EXEC' ) or die( 'Restricted access' );

class JLMS_homework_html {
	static function viewHW( $row, $option, $course_id, &$lists, $status ) {
		global $JLMS_CONFIG;
		$Itemid = $JLMS_CONFIG->get('Itemid');
		?>

		<?php
		/*
		JLMS_TMPL::OpenMT();
		$hparams = array();
		$hparams['usehref'] = false;
		$toolbar = array();
		if( !$status ) {
			$toolbar[] = array('btn_type' => 'complete', 'btn_js' =>"javascript:submitbutton('hw_change');");
		}
		$toolbar[] = array('btn_type' => 'back', 'btn_js' => "javascript:submitbutton('homework');");
		JLMS_TMPL::ShowHeader('homework', $row->hw_name, $hparams, $toolbar);
		JLMS_TMPL::OpenTS();
		*/
		?>
		<script language="javascript" type="text/javascript">		
			function submitbutton( pressbutton ) {
				var form=document.adminForm;
							
				<?php
				if( $row->activity_type == _ACTIVITY_TYPE_WRITE && !$status ) {
					$editor =JLMS07062010_JFactory::getEditor();
					echo $editor->save('write_text');
				}
				?>
				<?php if( $row->activity_type == _ACTIVITY_TYPE_UPLOAD ) { ?>
					if( pressbutton == 'hw_uploadfile' && trim(form.userfile.value) == '' ) 
					{
						alert('<?php echo _JLMS_EM_SELECT_FILE; ?>');
					} 
					<?php if( !$row->file ) { ?>
					else if ( pressbutton == 'hw_change' && trim(form.userfile.value) == '' ) 
					{
						alert('<?php echo _JLMS_EM_SELECT_FILE; ?>');
					}
					<?php } ?>
					else {										
						form.task.value = pressbutton;
						form.submit();
					}
				<?php } else { ?>
					form.task.value = pressbutton;
					form.submit();				
				<?php } ?>
			}
			
			function trim( str ) {
     		   return str.replace(/^\s+|\s+$/g,"");
		    }
		</script>

		<div class="row-fluid">
			<?php
			echo new \LMS\Widgets\ContentHeader(array('title' => _JLMS_HW_TITLE_HW, 'icon' => 'assignments'));
			?>

			<div class="row-fluid">
				<?php
				$contentToolbar = new \LMS\Widgets\ContentToolbar();
				$backButtonHref = 'index.php?option=com_joomla_lms&task=homework&id='.$course_id.'&Itemid='.$Itemid;
				$backButtonHref = JRoute::_($backButtonHref);
				$contentToolbar->addBackButton( array('href' => $backButtonHref) );
				if( !$status ) {
					$contentToolbar->addCustomButton( array('title'=>_JLMS_HW_MARK_COMPLETE, 'icon'=> 'checkmark-2', 'class'=>'btn-success', 'href' => 'javascript:submitbutton(\'hw_change\');') );
				}
				echo $contentToolbar->render();
				?>
			</div>

			<div class="row-fluid">
				<div class="well well-small span4">
					<div class="row-striped">
						<?php
						$first_col_class = 'span4';
						$two_col_class = 'span4';
						?>
						<div class="row-fluid">
							<div class="<?php  echo $first_col_class;?>">
								<?php echo _JLMS_HW_GRADE;?>:
							</div>
							<div class="<?php  echo $two_col_class;?>">
								<?php echo $row->grade_text;?>
							</div>
						</div>
						<div class="row-fluid">
							<div class="<?php  echo $first_col_class;?>">
								<?php echo _JLMS_HW_HOMEWORK_DATE;?>
							</div>
							<div class="<?php  echo $two_col_class;?>">
								<?php echo JLMS_dateToDisplay($row->post_date);?>
							</div>
						</div>
						<div class="row-fluid">
							<div class="<?php  echo $first_col_class;?>">
								<?php echo _JLMS_HW_HOMEWORK_ENDDATE;?>
							</div>
							<div class="<?php  echo $two_col_class;?>">
								<?php echo JLMS_dateToDisplay($row->end_date);?>
							</div>
						</div>
						<div class="row-fluid">
							<div class="<?php  echo $first_col_class;?>">
								<?php echo _JLMS_HW_DATE_OF_COMPLETING;?>
							</div>
							<div class="<?php  echo $two_col_class;?>">
								<?php
								if ( $lists['completed'] == _JLMS_HW_STATUS_INCOMPLETE) {
									echo $lists['completed'];
								} else {
									echo JLMS_dateToDisplay($lists['completed'], false, $JLMS_CONFIG->get('offset')*60*60, ' H:i:s');
								}
								?>
							</div>
						</div>
					</div>
				</div>
			</div>

			<div class="row-fluid">
				<fieldset>
					<legend>
						<?php echo _JLMS_DESCRIPTION;?>
					</legend>
					<?php echo JLMS_ShowText_WithFeatures( $row->hw_description );?>
				</fieldset>
			</div>

			<form action="<?php echo sefRelToAbs("index.php?option=".$option."&amp;Itemid=".$Itemid);?>" method="post" name="adminForm" enctype="multipart/form-data">
				<?php
				switch( $row->activity_type ) {
					case _ACTIVITY_TYPE_WRITE:
						?>
						<div class="row-fluid">
							<fieldset>
								<legend>
									<?php echo _JLMS_HW_WRITE_TEXT;?>
								</legend>
								<?php
								if( !$status ){
									JLMS_editorArea( 'editor1', '', 'write_text', '100%', '250', '40', '10' ) ;
								} else {
									echo $row->write_text;
								}
								?>
							</fieldset>
						</div>
						<?php
						break;
					case _ACTIVITY_TYPE_UPLOAD:
						?>
						<div class="row-fluid">
							<fieldset>
								<legend>
									<?php
									if(!$status){
										echo _JLMS_CHOOSE_FILE;
									}
									if( $row->file ){
										echo _JLMS_ATTACHED_FILE;
									}
									?>
								</legend>

								<div class="center">
									<?php
									if(!$status){
										?>
										<input size="40" class="inputbox" type="file" name="userfile" />
										<input class="inputbox" onclick="submitbutton('hw_uploadfile');" type="button" name="uploadfile" value="<?php echo _JLMS_FILE_UPLOAD; ?>" />
										<?php
									}
									?>
									<?php
									if( !$row->file ){
										echo _JLMS_FILE_NOT_ATTACHED;
									} else {
										echo '<a href="'.sefRelToAbs( "index.php?option=".$option."&Itemid=".$Itemid."&task=hw_downloadfile&hw_id=".$row->hw_id."&course_id=".$row->course_id."&file_id=".$row->file_id."&user_id=".$row->user_id ).'" >'.$row->file->file_name."</a>".str_repeat('&nbsp;', 5);
										echo JLMS_dateToDisplay($row->file->date);
									}
									?>
								</div>

							</fieldset>
						</div>
					<?php
				}
				?>

				<?php if( $row->comments ) { ?>
					<div class="row-fluid">
						<fieldset>
							<legend>
								<?php echo _JLMS_COMMENTS;?>
							</legend>
							<div class="well well-small">
								<?php echo JLMS_ShowText_WithFeatures( $row->comments );?>
							</div>
						</fieldset>
					</div>
				<?php } ?>

				<input type="hidden" name="option" value="<?php echo $option;?>" />
				<input type="hidden" name="Itemid" value="<?php echo $Itemid;?>" />
				<input type="hidden" name="task" value="" />
				<input type="hidden" name="course_id" value="<?php echo $course_id;?>" />
				<input type="hidden" name="hw_id" value="<?php echo $row->hw_id;?>" />
				<input type="hidden" name="id" value="<?php echo $row->id;?>" />
			</form>

		</div>





			<input type="hidden" name="option" value="<?php echo $option;?>" />
			<input type="hidden" name="Itemid" value="<?php echo $Itemid;?>" />
			<input type="hidden" name="task" value="" />
			<input type="hidden" name="course_id" value="<?php echo $course_id;?>" />
			<input type="hidden" name="hw_id" value="<?php echo $row->hw_id;?>" />
			<input type="hidden" name="id" value="<?php echo $row->id;?>" />
		</form>
		<?php
		/*
		JLMS_TMPL::CloseTS();
		JLMS_TMPL::CloseMT();
		*/
	}
	
	static function viewHWResult( $row, $option, &$lists ) {
		global $JLMS_CONFIG;
		$Itemid = $JLMS_CONFIG->get('Itemid');
		?>
		<script language="javascript" type="text/javascript">
			<!--//--><![CDATA[//><!--
				function submitbutton( pressbutton ) {
					var form=document.adminForm;

					<?php
						$editor =JLMS07062010_JFactory::getEditor();
						echo $editor->save('comments');
					?>
					if( pressbutton == 'hw_save_result' && form.grade.options[form.grade.selectedIndex].value == '<?php echo _STATUS_NOT_SELECT; ?>' )
					{
						alert('<?php echo _JLMS_HW_SELECT_GRADE; ?>');
					} else {
						form.task.value = pressbutton;
						form.submit();
					}
				}

				function trim( str ) {
				   return str.replace(/^\s+|\s+$/g,"");
				}
			//--><!]]>
		</script>

		<?php
		/*
		JLMS_TMPL::OpenMT();
		$hparams = array();
		$hparams['usehref'] = false;
		$toolbar = array();
		$toolbar[] = array('btn_type' => 'save', 'btn_js' =>"javascript:submitbutton('hw_save_result');");
		$toolbar[] = array('btn_type' => 'back', 'btn_js' => "javascript:submitbutton('hw_stats');");
		JLMS_TMPL::ShowHeader('homework', $row->hw->hw_name, $hparams, $toolbar);	
		JLMS_TMPL::OpenTS();
		*/
		?>

		<div class="row-fluid">
			<?php
			echo new \LMS\Widgets\ContentHeader(array('title' => _JLMS_HW_TITLE_HW, 'icon' => 'assignments'));
			?>

			<div class="row-fluid">
				<?php
				$contentToolbar = new \LMS\Widgets\ContentToolbar();
				$contentToolbar->addSaveButton( array('href' => 'javascript:submitbutton(\'hw_save_result\')') );
				$contentToolbar->addCancelButton( array('href' => 'javascript:submitbutton(\'hw_stats\')') );
				echo $contentToolbar->render();
				?>
			</div>

			<form action="<?php echo sefRelToAbs("index.php?option=".$option."&amp;Itemid=".$Itemid);?>" method="post" name="adminForm" enctype="multipart/form-data">
				<div class="row-fluid">
					<div class="well well-small span4">
						<div class="row-striped">
							<?php
							$first_col_class = 'span4';
							$two_col_class = 'span7';
							?>
							<div class="row-fluid">
								<div class="<?php  echo $first_col_class;?>">
									<?php echo _JLMS_UI_NAME;?>
								</div>
								<div class="<?php  echo $two_col_class;?>">
									<?php echo $row->user->name;?>
								</div>
							</div>
							<div class="row-fluid">
								<div class="<?php  echo $first_col_class;?>">
									<?php echo _JLMS_UI_USERNAME;?>
								</div>
								<div class="<?php  echo $two_col_class;?>">
									<?php echo $row->user->username;?>
								</div>
							</div>
							<div class="row-fluid">
								<div class="<?php  echo $first_col_class;?>">
									<?php echo _JLMS_UI_EMAIL;?>
								</div>
								<div class="<?php  echo $two_col_class;?>">
									<?php echo $row->user->email;?>
								</div>
							</div>
							<div class="row-fluid">
								<div class="<?php  echo $first_col_class;?>">
									<?php echo _JLMS_UI_GROUP;?>
								</div>
								<div class="<?php  echo $two_col_class;?>">
									<?php echo $row->user->group;?>
								</div>
							</div>
						</div>
					</div>
					<div class="well well-small span4">
						<div class="row-striped">
							<?php
							$first_col_class = 'span4';
							$two_col_class = 'span4';
							?>
							<div class="row-fluid">
								<div class="<?php  echo $first_col_class;?>">
									<?php echo _JLMS_HW_HOMEWORK_DATE;?>
								</div>
								<div class="<?php  echo $two_col_class;?>">
									<?php echo JLMS_dateToDisplay($row->hw->post_date);?>
								</div>
							</div>
							<div class="row-fluid">
								<div class="<?php  echo $first_col_class;?>">
									<?php echo _JLMS_HW_HOMEWORK_ENDDATE;?>
								</div>
								<div class="<?php  echo $two_col_class;?>">
									<?php echo JLMS_dateToDisplay($row->hw->end_date);?>
								</div>
							</div>
							<div class="row-fluid">
								<div class="<?php  echo $first_col_class;?>">
									<?php echo _JLMS_HW_DATE_OF_COMPLETING;?>
								</div>
								<div class="<?php  echo $two_col_class;?>">
									<?php
									echo JLMS_dateToDisplay($row->hw_date, false, $JLMS_CONFIG->get('offset')*60*60, ' H:i:s');
									?>
								</div>
							</div>
						</div>
					</div>
				</div>

				<div class="row-fluid">
					<fieldset>
						<legend>
							<?php echo _JLMS_DESCRIPTION;?>
						</legend>
						<?php echo JLMS_ShowText_WithFeatures( $row->hw->hw_description );?>
					</fieldset>
				</div>

				<?php
				if( $row->hw->activity_type != _ACTIVITY_TYPE_OFFLINE ){
				?>
				<div class="row-fluid">
					<fieldset>
						<legend>
							<?php echo _JLMS_HW_LEARNERS_SUBS;?>
						</legend>
						<div class="well well-small">
							<?php
							if( $row->hw->activity_type == _ACTIVITY_TYPE_WRITE ){
								echo $row->write_text;
							} else if( $row->hw->activity_type == _ACTIVITY_TYPE_UPLOAD && $row->file ){
								echo '<a href="'.sefRelToAbs("index.php?option=$option&Itemid=$Itemid&task=hw_downloadfile&hw_id=$row->hw_id&course_id=$row->course_id&file_id=$row->file_id&user_id=".$row->user_id).'" >'.$row->file->file_name."</a>";
							}
							?>
						</div>
					</fieldset>
				</div>
				<?php
				}
				?>

				<div class="row-fluid">
					<div class="span9">
						<fieldset>
							<legend>
								<?php echo _JLMS_COMMENTS;?>
							</legend>
							<?php
							JLMS_editorArea( 'editor1', $row->comments, 'comments', '100%', '150', '20', '10' ) ;
							?>
						</fieldset>
					</div>
					<div class="span3">
						<fieldset>
							<legend>
								<?php echo _JLMS_HW_GRADE_THIS_ACTIVITY;?>
							</legend>
							<?php echo $lists['grade']; ?>
							<div class="row-fluid hidden-desktop hidden-tablet">
								<?php
								$contentToolbar = new \LMS\Widgets\ContentToolbar();
								$contentToolbar->addSaveButton( array('href' => 'javascript:submitbutton(\'hw_save_result\')') );
								$contentToolbar->addCancelButton( array('href' => 'javascript:submitbutton(\'hw_stats\')') );
								echo $contentToolbar->render();
								?>
							</div>
						</fieldset>
					</div>
				</div>

				<input type="hidden" name="option" value="<?php echo $option;?>" />
				<input type="hidden" name="Itemid" value="<?php echo $Itemid;?>" />
				<input type="hidden" name="task" value="" />
				<input type="hidden" name="course_id" value="<?php echo $row->course_id;?>" />
				<input type="hidden" name="user_id" value="<?php echo $row->user_id;?>" />
				<input type="hidden" name="hw_id" value="<?php echo $row->hw_id;?>" />
				<input type="hidden" name="id" value="<?php echo $row->id;?>" />
			</form>
		</div>
		<?php
		/*
		JLMS_TMPL::CloseTS();
		JLMS_TMPL::CloseMT();
		*/
	}

	static function statsHW( &$stats, &$row, $option, $course_id, &$pageNav, &$lists, $is_teacher = true ) {
		global $JLMS_CONFIG;
		$Itemid = $JLMS_CONFIG->get('Itemid');
		
		$JLMS_ACL = JLMSFactory::getACL();

		/*
		JLMS_TMPL::OpenMT();
		$hparams = array();
		JLMS_TMPL::ShowHeader('homework', '', $hparams);//$row->hw_name
		JLMS_TMPL::OpenTS();
		*/
		?>

		<div class="row-fluid">
			<?php
			echo new \LMS\Widgets\ContentHeader(array('title' => _JLMS_HW_TITLE_HW, 'icon' => 'assignments'));
			?>

			<div class="row-fluid">
				<?php
				$contentToolbar = new \LMS\Widgets\ContentToolbar();
				$backButtonHref = 'index.php?option=com_joomla_lms&task=homework&id='.$course_id.'&Itemid='.$Itemid;
				$backButtonHref = JRoute::_($backButtonHref);
				$contentToolbar->addBackButton( array('href' => $backButtonHref) );
				echo $contentToolbar->render();
				?>
			</div>

			<div class="row-fluid">
				<div class="well well-small span3">
					<div class="row-striped">
						<?php
						$first_col_class = 'span5';
						$two_col_class = 'span4';
						?>
						<div class="row-fluid">
							<div class="<?php  echo $first_col_class;?>">
								<?php echo _JLMS_HW_HOMEWORK_DATE;?>
							</div>
							<div class="<?php  echo $two_col_class;?>">
								<?php echo JLMS_dateToDisplay($row->post_date);?>
							</div>
						</div>
						<div class="row-fluid">
							<div class="<?php  echo $first_col_class;?>">
								<?php echo _JLMS_HW_HOMEWORK_ENDDATE;?>
							</div>
							<div class="<?php  echo $two_col_class;?>">
								<?php echo JLMS_dateToDisplay($row->end_date);?>
							</div>
						</div>
					</div>
				</div>
			</div>

			<div class="row-fluid">
				<?php
				if ($JLMS_ACL->CheckPermissions('homework', 'manage')) {
					?>
					<div class="btn-group">
						<?php echo $lists['filter'];?>
					</div>
					<div class="btn-group">
						<?php echo $lists['filter2'];?>
					</div>
						<?php
						if(isset($lists['filter3'])) {
							?>
							<div class="btn-group">
								<?php echo $lists['filter3'];?>
							</div>
							<?php
						}
						?>
						<div class="btn-group">
							<?php echo $lists['filter_stu'];?>
						</div>
						<?php
						?>
					<?php
				}
				?>
				<div class="btn-group pull-right">
					<label for="limit" class="element-invisible">
						<?php echo JText::_('JGLOBAL_DISPLAY_NUM'); ?>
					</label>
					<?php
					$link = "index.php?option=com_joomla_lms&Itemid=$Itemid&task=hw_stats&course_id=$course_id&id={$row->id}";
					echo $pageNav->getLimitBox($link);
					?>
				</div>
			</div>

			<div class="row-fluid">
				<!-- start statistics -->
				<table width="100%" cellpadding="0" cellspacing="0" border="0" class="table table-striped table-hover">
					<thead>
						<tr>
							<<?php echo JLMSCSS::tableheadertag();?> width="20" class="<?php echo JLMSCSS::_('sectiontableheader');?>" align="center">#</<?php echo JLMSCSS::tableheadertag();?>>
							<<?php echo JLMSCSS::tableheadertag();?> class="<?php echo JLMSCSS::_('sectiontableheader');?>"><?php echo _JLMS_HW_TBL_HEAD_STU;?></<?php echo JLMSCSS::tableheadertag();?>>
							<<?php echo JLMSCSS::tableheadertag();?> class="<?php echo JLMSCSS::_('sectiontableheader');?>"><?php echo _JLMS_HW_TBL_HEAD_GROUP;?></<?php echo JLMSCSS::tableheadertag();?>>
							<<?php echo JLMSCSS::tableheadertag();?> class="<?php echo JLMSCSS::_('sectiontableheader');?> center" width="10%"><?php echo _JLMS_HW_TBL_HEAD_GRADE;?></<?php echo JLMSCSS::tableheadertag();?>>
							<<?php echo JLMSCSS::tableheadertag();?> class="<?php echo JLMSCSS::_('sectiontableheader');?>" width="20%">&nbsp;</<?php echo JLMSCSS::tableheadertag();?>>
						</tr>
					</thead>
					<tbody>
						<?php
						$k = 1;
						for ($i=0, $n=count($stats); $i < $n; $i++) {
							$srow = $stats[$i];
							$mail_link = "index.php?option=$option&amp;Itemid=$Itemid&amp;task=hw_view_result&amp;course_id=$course_id&amp;user_id=".$srow->user_id."&amp;hw_id=".$row->id;
							$image = $srow->hw_status ? 'btn_accept.png' : 'btn_cancel.png';
							$alt = $srow->hw_status ? _JLMS_HW_STATUS_COMPLETED : _JLMS_HW_STATUS_INCOMPLETE;
							?>
							<tr class="<?php echo JLMSCSS::_('sectiontableentry'.$k);?>">
								<td class="center"><?php echo ( $pageNav->limitstart + $i + 1 ); ?></td>
								<td>
									<?php
									if ($JLMS_ACL->CheckPermissions('homework', 'manage')) {
										if( $srow->hw_status ) {
											echo '<a href="'.sefRelToAbs($mail_link).'">';
										}
										echo $srow->username;
										if( $srow->hw_status ) {
											echo '</a>';
										}
									} else {
										echo $srow->username;
									}
									?>
								</td>
								<td>
									<?php
									echo $srow->ug_name;
									?>
								</td>
								<td class="center">
									<?php
									$grade_num = '';
									if( $srow->hw_status ) {
										if( $srow->grade != _STATUS_NOT_SELECT && $srow->grade ) {
											$img = '';
											if( $srow->graded_activity )
											{
												$img = 'btn_accept.png';
												$grade_num = $srow->grade;
												$icon = 'ok';
											} else {
												switch( $srow->grade )
												{
													case _STATUS_NOT_PASSED:
														$img = 'btn_cancel.png';
														$icon = 'cancel';
														break;
													case _STATUS_PASSED:
														$img = 'btn_accept.png';
														$icon = 'ok';
														break;
												}
											}
//											echo '<img src="'.JURI::root().'/components/com_joomla_lms/lms_images/toolbar/'.$img.'" alt="'.$srow->grade.'" />';
										} else {
//											$ttip = '<img src="'.JURI::root().'/components/com_joomla_lms/lms_images/toolbar/btn_publish_wait.png" alt="waiting" />';
//											echo JLMS_toolTip(_JLMS_HW_AWAITING_REVIEW, '', $ttip, '', false);

											$icon = 'clock';
										}
										?>
										<span class="btn btn-micro disabled hasTooltip">
											<i class="icon-<?php echo $icon;?>"></i>
										</span>
										<?php echo $grade_num ? ('<span class="badge badge-info">'.$grade_num.'</span>') : '';?>
										<?php
									}
									?>
								</td>
								<td>
									<?php echo JLMS_dateToDisplay($srow->hw_date, false, $JLMS_CONFIG->get('offset')*60*60, ' H:i:s');?>
								</td>
							</tr>
							<?php
							$k = 3 - $k;
						}
						?>
					</tbody>
					<tfoot>
						<tr>
							<td colspan="6">
								<div class="pagination center">
									<p class="counter">
										<?php echo $pageNav->getPagesCounter();?>
									</p>
									<?php
									$link = "index.php?option=com_joomla_lms&Itemid=$Itemid&task=hw_stats&course_id=$course_id&id={$row->id}";
									echo $pageNav->writePagesLinks( $link );
									?>
								</div>
							</td>
						</tr>
					</tfoot>
				</table>
				<!-- end statistics -->
			</div>

		</div>
		<?php
		/*
		JLMS_TMPL::CloseTS();
		JLMS_TMPL::CloseMT();
		*/
	}

	static function publishIcon( $id, $course_id, $user_id, $state, $task, $alt, $image, $option ) {
		global $JLMS_CONFIG;
		$Itemid = $JLMS_CONFIG->get('Itemid');
		$link = sefRelToAbs("index.php?option=".$option."&Itemid=".$Itemid."&task=".$task."&state=".$state."&id=".$course_id."&user_id=".$user_id."&cid2=".$id);
		return '<a href="'.$link.'" title="'.$alt.'" class="jlms_img_link"><img class="JLMS_png" src="'.$JLMS_CONFIG->get('live_site').'/components/com_joomla_lms/lms_images/toolbar/'.$image.'" width="16" height="16" border="0" alt="'.$alt.'" /></a>';
	}
	static function showEditHW( $hw_details, $lists, $option, $id, & $params) {
		global $JLMS_CONFIG;
		$Itemid = $JLMS_CONFIG->get('Itemid');
		?>
		<script language="javascript" type="text/javascript">
		<!--//--><![CDATA[//><!--
		function setgood() {
			return true;
		}
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			<?php
				$editor =JLMS07062010_JFactory::getEditor();
				echo $editor->save('hw_description');
			?>
			try {
				form.onsubmit();
			} catch(e) {
				//alert(e);
			}
			if (form.post_date.value == ''){jlms_getDate('post');}
			if (form.end_date.value == ''){jlms_getDate('end');}
			if ((pressbutton == 'hw_save') && (form.hw_name.value == "")) {
				alert( "<?php echo _JLMS_HW_ENTER_HW_NAME;?>" );
			} else {
				form.task.value = pressbutton;
				form.submit();
			}
		}
		//--><!]]>
		</script>

		<?php
		/*
		JLMS_TMPL::OpenMT();
		$hparams = array();
		$hparams['usehref'] = false;
		$toolbar = array();
		$toolbar[] = array('btn_type' => 'save', 'btn_js' => "javascript:submitbutton('hw_save');");
		$toolbar[] = array('btn_type' => 'cancel', 'btn_js' => "javascript:submitbutton('hw_cancel');");
		JLMS_TMPL::ShowHeader('homework', $hw_details->id ? _JLMS_HW_EDIT_HW : _JLMS_HW_CREATE_HW, $hparams, $toolbar);
		JLMS_TMPL::OpenTS();
		*/
		?>
		<div class="row-fluid">
			<?php
			$contentHeader = new \LMS\Widgets\ContentHeader( array('title' => _JLMS_HW_TITLE_HW) );
			echo $contentHeader;
			?>

			<div class="row-fluid">
				<?php
				$contentToolbar = new \LMS\Widgets\ContentToolbar();
				$contentToolbar->addSaveButton( array('href' => 'javascript:submitbutton(\'hw_save\')') );
				$contentToolbar->addCancelButton( array('href' => 'javascript:submitbutton(\'hw_cancel\')') );
				echo $contentToolbar->render();
				?>
			</div>

			<div class="row-fluid">
				<form class="form-horizontal" action="<?php echo sefRelToAbs("index.php?option=$option&Itemid=$Itemid");?>" method="post" name="adminForm" onsubmit="setgood();">

						<div class="control-group">
							<div class="control-label">
								<?php echo _JLMS_ENTER_NAME;?>
							</div>
							<div class="controls">
								<input size="40" class="inputbox" type="text" name="hw_name" value="<?php echo str_replace('"','&quot;',$hw_details->hw_name);?>" />
							</div>
						</div>

						<div class="control-group">
							<div class="control-label">
								<?php echo _JLMS_HW_ACTIVITY_TYPE;?>
							</div>
							<div class="controls">
								<?php echo $lists['activity_type'];?>
							</div>
						</div>

						<div class="control-group">
							<div class="control-label">
								<?php echo _JLMS_STATUS_PUB;?>
							</div>
							<div class="controls">
								<?php echo $lists['published'];?>
							</div>
						</div>

						<div class="control-group">
							<div class="control-label">
								<?php echo _JLMS_DATE;?>
							</div>
							<div class="controls">
								<table cellpadding="0" cellspacing="0" border="0" class="jlms_date_outer">
									<tr>
										<td>
											<?php echo JLMS_HTML::_('calendar.calendar',$hw_details->post_date,'post','post'); ?>
										</td>
									</tr>
								</table>
							</div>
						</div>

						<div class="control-group">
							<div class="control-label">
								<?php echo _JLMS_END_DATE;?>
							</div>
							<div class="controls">
								<table cellpadding="0" cellspacing="0" border="0" class="jlms_date_outer">
									<tr>
										<td>
											<?php echo JLMS_HTML::_('calendar.calendar',$hw_details->end_date,'end','end'); ?>
										</td>
									</tr>
								</table>
							</div>
						</div>

						<div class="control-group">
							<div class="control-label">
								<?php echo _JLMS_HW_GRADED_ACTIVITY;?>
							</div>
							<div class="controls">
								<?php echo $lists['graded_activity'];?>
							</div>
						</div>

						<div class="control-group">
							<div class="control-label">
								<?php echo _JLMS_IS_TIME_RELATED;?>
							</div>
							<div class="controls">
								<?php JLMS_HTML::_('showperiod.field', $hw_details->is_time_related, $hw_details->show_period);?>
							</div>
						</div>

						<?php if( $lists['is_limited'] != '' ) { ?>
						<div class="control-group">
							<div class="control-label">
								<?php echo _JLMS_LIMIT_RESOURCE_TO_GROUPS;?>
							</div>
							<div class="controls">
								<?php echo $lists['is_limited'];?>
							</div>
						</div>
						<?php } ?>

						<div class="control-group">
							<div class="control-label">
								<?php echo _JLMS_LIMIT_RESOURCE_USERGROUPS;?>
							</div>
							<div class="controls">
								<?php echo $lists['groups'];?>
							</div>
						</div>

						<div class="control-group">
							<div class="control-label">
								<?php echo _JLMS_SHORT_DESCRIPTION;?>
							</div>
							<div class="controls">
								<textarea class="inputbox span12" name="hw_shortdescription" cols="50" rows="3"><?php echo $hw_details->hw_shortdescription; ?></textarea>
							</div>
						</div>

						<div class="control-group">
							<div class="control-label">
								<?php echo _JLMS_DESCRIPTION;?>
							</div>
							<div class="controls">
								<?php
								JLMS_editorArea( 'editor2', $hw_details->hw_description, 'hw_description', '100%', '320', '10', '5' );
								?>
							</div>
						</div>

					<input type="hidden" name="option" value="<?php echo $option;?>" />
					<input type="hidden" name="Itemid" value="<?php echo $Itemid;?>" />
					<input type="hidden" name="task" value="hw_save" />
					<input type="hidden" name="boxchecked" value="0" />
					<input type="hidden" name="course_id" value="<?php echo $id;?>" />
					<input type="hidden" name="id" value="<?php echo $hw_details->id;?>" />
					<?php echo $params['hidden_is_time_related']; ?>
				</form>

			</div>
		</div>
		<?php
		/*
		JLMS_TMPL::CloseTS();
		JLMS_TMPL::CloseMT();
		*/
	}

	static function showHomeWorks_stu( $id, $option, &$rows, &$pageNav, &$lists ) {
		global $JLMS_CONFIG;
		$Itemid = $JLMS_CONFIG->get('Itemid');
		?>
		<script language="javascript" type="text/javascript">
		<!--//--><![CDATA[//><!--
		function submitbutton_change(pressbutton, state) {
			var form = document.adminForm;
			if (pressbutton == 'hw_change'){
				if (form.boxchecked.value == '0') {
					alert( "<?php echo _JLMS_ALERT_SELECT_ITEM;?>" );
				} else {
					form.task.value = pressbutton;
					form.state.value = state;
					form.submit();
				}
			}
		}
		function submitbutton_change_item(pressbutton, state, cid_id) {
			var form = document.adminForm;
			if (pressbutton == 'hw_change'){
				form.task.value = pressbutton;
				form.state.value = state;
				form.cid2.value = cid_id;
				form.submit();
			}
		}
		//--><!]]>
		</script>

		<?php
		/*
		JLMS_TMPL::OpenMT();
		$hparams = array();
		JLMS_TMPL::ShowHeader('homework', _JLMS_HW_TITLE_HW, $hparams);
		JLMS_TMPL::OpenTS();
		*/
		?>

		<div class="row-fluid">
			<?php
			echo new \LMS\Widgets\ContentHeader(array('title' => _JLMS_HW_TITLE_HW, 'icon' => 'assignments'));
			?>

			<form action="<?php echo sefRelToAbs("index.php?option=$option&Itemid=$Itemid");?>" method="post" name="adminForm">

				<div class="row-fluid">
					<div class="btn-group">
						<?php echo $lists['filter'];?>
					</div>
					<div class="btn-group pull-right">
						<label for="limit" class="element-invisible">
							<?php echo JText::_('JGLOBAL_DISPLAY_NUM'); ?>
						</label>
						<?php
						$link = "index.php?option=com_joomla_lms&Itemid=$Itemid&task=homework&id=$id";
						echo $pageNav->getLimitBox($link);
						?>
					</div>
				</div>

				<div class="row-fluid">
					<?php 	if (!empty($rows) || $lists['used_filter'] ) { ?>
					<table width="100%" cellpadding="0" cellspacing="0" border="0" class="table table-striped table-hover">
						<thead>
							<tr>
								<<?php echo JLMSCSS::tableheadertag();?> width="1%" class="<?php echo JLMSCSS::_('sectiontableheader');?> center">#</<?php echo JLMSCSS::tableheadertag();?>>
								<<?php echo JLMSCSS::tableheadertag();?> class="<?php echo JLMSCSS::_('sectiontableheader');?>"><?php echo _JLMS_HW_TBL_HEAD_HW;?></<?php echo JLMSCSS::tableheadertag();?>>
								<<?php echo JLMSCSS::tableheadertag();?> class="<?php echo JLMSCSS::_('sectiontableheader');?> nowrap center" width="10%"><?php echo _JLMS_HW_TBL_HEAD_GRADE;?></<?php echo JLMSCSS::tableheadertag();?>>
								<<?php echo JLMSCSS::tableheadertag();?> class="<?php echo JLMSCSS::_('sectiontableheader');?> nowrap" width="10%"><?php echo _JLMS_HW_TBL_HEAD_DATE;?></<?php echo JLMSCSS::tableheadertag();?>>
								<<?php echo JLMSCSS::tableheadertag();?> class="<?php echo JLMSCSS::_('sectiontableheader');?> nowrap" width="10%"><?php echo _JLMS_HW_TBL_HEAD_ENDDATE;?></<?php echo JLMSCSS::tableheadertag();?>>
							</tr>
						</thead>
						<tbody>
							<?php
							$k = 1;
							for ($i=0, $n=count($rows); $i < $n; $i++) {
								$row = $rows[$i];
								$link = "index.php?option=$option&Itemid=$Itemid&task=hw_view&course_id=$id&id={$row->id}";
								$alt = ($row->hw_status)?_JLMS_HW_STATUS_COMPLETED:_JLMS_HW_STATUS_INCOMPLETE;
								$image = ($row->hw_status)?'btn_accept.png':'btn_cancel.png';
								$state = ($row->hw_status)?0:1;
								$checked = mosHTML::idBox( $i, $row->id);?>
								<tr class="<?php echo JLMSCSS::_('sectiontableentry'.$k); ?>">
									<td class="center"><?php echo ( $i + 1 ); ?></td>
									<td>

										<?php
										$property = '';
										if($row->hw_shortdescription){
											$property = 'class="hasTooltip"';
											$text_description = $row->hw_shortdescription;
											preg_match_all('#\S+#', $text_description, $out, PREG_PATTERN_ORDER);

											if(isset($out[0]) && is_array($out[0]) && count($out[0])){
												$all_words = $out[0];
												$num_words = count($all_words);
												if($num_words > 50){
													$text_description = implode(' ', array_slice($all_words, 0, 50));
													$text_description .= '..';
												}
											}
											$text_description = '<strong>'._JLMS_DESCRIPTION.':</strong> ' . $text_description;
											$property .= 'title="'.JHtml::tooltipText($text_description).'"';
										}
										?>
										<a <?php echo $property;?> href="<?php echo JRoute::_($link);?>">
											<?php echo $row->hw_name;?>
										</a>
									</td>
									<td class="center">
										<?php
											$grade_num = '';
											if( $row->hw_status ) {
												if( $row->grade && $row->grade != _STATUS_NOT_SELECT ) {
													$img = '';
													if( $row->graded_activity )
													{
														$img = 'btn_accept.png';
														$grade_num = $row->grade;
														$icon = 'ok';
													} else {
														switch( $row->grade )
														{
															case _STATUS_NOT_PASSED:
																$img = 'btn_cancel.png';
																$icon = 'cancel';
															break;
															case _STATUS_PASSED:
																$img = 'btn_accept.png';
																$icon = 'ok';
															break;
														}
													}

//													echo '<img src="'.JURI::root().'/components/com_joomla_lms/lms_images/toolbar/'.$img.'" alt="'.$row->grade.'" /><b>'.$grade_num.'</b>';
												} else {
//													$ttip = '<img src="'.JURI::root().'/components/com_joomla_lms/lms_images/toolbar/btn_publish_wait.png" alt="waiting" />';
//													echo JLMS_toolTip(_JLMS_HW_AWAITING_REVIEW, '', $ttip, '', false);
													$icon = 'clock';
												}
												?>
												<span class="btn btn-micro disabled hasTooltip">
													<i class="icon-<?php echo $icon;?>"></i>
												</span>
												<?php echo $grade_num ? ('<span class="badge badge-info">'.$grade_num.'</span>') : '';?>
												<?php
											}
										?>
									</td>
									<td class="center nowrap">
										<?php echo JLMS_dateToDisplay($row->post_date);?>
									</td>
									<td class="center nowrap">
										<?php echo JLMS_dateToDisplay($row->end_date);?>
									</td>
								</tr>
								<?php
								$k = 3 - $k;
							}?>
						</tbody>
						<tfoot>
							<tr>
								<td colspan="7">
									<div class="row-fluid">
										<div class="pagination center">
											<p class="counter">
												<?php echo $pageNav->getPagesCounter();?>
											</p>
											<?php
											$link = "index.php?option=com_joomla_lms&Itemid=$Itemid&task=homework&id=$id";
											echo $pageNav->writePagesLinks( $link );
											?>
										</div>
									</div>
								</td>
							</tr>
						</tfoot>
					</table>

					<?php
					} else {
						echo '<div class="joomlalms_user_message">'._JLMS_NO_ITEMS_HERE.'</div>';
					}
					?>
				</div>

				<input type="hidden" name="option" value="<?php echo $option;?>" />
				<input type="hidden" name="Itemid" value="<?php echo $Itemid;?>" />
				<input type="hidden" name="task" value="homework" />
				<input type="hidden" name="boxchecked" value="0" />
				<input type="hidden" name="state" value="0" />
				<input type="hidden" name="cid2" value="0" />
				<input type="hidden" name="id" value="<?php echo $id;?>" />
			</form>
		</div>
		<?php
		/*
		JLMS_TMPL::CloseTS();
		JLMS_TMPL::CloseMT();
		*/
	}

	static function showHomeWorks( $id, $option, &$rows, &$pageNav, $usertype = 1 ) {
		global $JLMS_CONFIG;
		$Itemid = $JLMS_CONFIG->get('Itemid');
		$JLMS_ACL = JLMSFactory::getACL();

		if($JLMS_ACL->CheckPermissions('homework', 'manage')){
			?>
			<script language="javascript" type="text/javascript">
			<!--//--><![CDATA[//><!--
			function submitbutton(pressbutton) {
				var form = document.adminForm;
				if ( ((pressbutton == 'hw_delete') || (pressbutton == 'hw_edit')) && (form.boxchecked.value == "0")){
					alert("<?php echo _JLMS_ALERT_SELECT_ITEM;?>");
				} else {

					if(pressbutton == 'hw_publish' || pressbutton == 'hw_unpublish'){
						if(pressbutton == 'hw_publish'){
							form.state.value = 1;
						}
						if(pressbutton == 'hw_unpublish'){
							form.state.value = 0;
						}
						pressbutton = 'hw_publish';
					}

					form.task.value = pressbutton;
					form.submit();
				}
			}

			function submitbutton_change2(pressbutton, state, cid_id) {
				var form = document.adminForm;
				if (pressbutton == 'hw_publish'){
					form.task.value = pressbutton;
					form.state.value = state;
					form.cid2.value = cid_id;
					form.submit();
				}
			}

			//--><!]]>
			</script>
			<?php
		}

		/*
		JLMS_TMPL::OpenMT();
		$hparams = array();
		JLMS_TMPL::ShowHeader('homework', _JLMS_HW_TITLE_HW, $hparams);
		JLMS_TMPL::OpenTS();
		*/
		?>
			<?php
			echo new \LMS\Widgets\ContentHeader(array('title' => _JLMS_HW_TITLE_HW, 'icon' => 'assignments'));
			?>

			<?php
			if($id && ($JLMS_ACL->CheckPermissions('homework', 'manage'))){
			?>
				<?php
				$contentToolbar = new \LMS\Widgets\ContentToolbar();
				$newButtonHref = 'index.php?option=com_joomla_lms&task=hw_create&id='.$id.'&Itemid='.$Itemid;
				$newButtonHref = JRoute::_($newButtonHref);
				$contentToolbar->addNewButton( array('href' => $newButtonHref) );
				$dropDown = $contentToolbar->addDropDownButton(array('title' => _JLMS_ACTIONS, 'icon' => 'wrench'));
					$dropDown->addEditItem( array('href' => 'javascript:submitbutton(\'hw_edit\')') );
					$dropDown->addDeleteItem( array('href' => 'javascript:submitbutton(\'hw_delete\')') );
					$dropDown->addSeparator();
					$dropDown->addPublishItem( array('href' => 'javascript:submitbutton(\'hw_publish\')') );
					$dropDown->addUnpublishItem( array('href' => 'javascript:submitbutton(\'hw_unpublish\')') );
				echo $contentToolbar->render();
				?>
			<?php
			}
			?>
				<div class="row-fluid">
					<div class="btn-group pull-right">
						<label for="limit" class="element-invisible">
							<?php echo JText::_('JGLOBAL_DISPLAY_NUM'); ?>
						</label>
						<?php
						$link = "index.php?option=com_joomla_lms&Itemid=$Itemid&task=homework&id=$id";
						echo $pageNav->getLimitBox($link);
						?>
					</div>
				</div>

				<form action="<?php echo sefRelToAbs("index.php?option=$option&Itemid=$Itemid");?>" method="post" name="adminForm">
					<?php
					if (!empty($rows)) {
						?>
						<?php
						$hw_colspan = 6;
						?>
						<table width="100%" cellpadding="0" cellspacing="0" border="0" class="table table-striped table-hover">
							<thead>
								<tr>
									<<?php echo JLMSCSS::tableheadertag();?> width="1%" class="<?php echo JLMSCSS::_('sectiontableheader');?>" align="center">#</<?php echo JLMSCSS::tableheadertag();?>>
									<?php
			//						if ($usertype == 1) {
									if ( ($JLMS_ACL->CheckPermissions('homework', 'manage')) ) {
										$hw_colspan++;
									?>
									<<?php echo JLMSCSS::tableheadertag();?> width="1%" class="<?php echo JLMSCSS::_('sectiontableheader');?> center"><input type="checkbox" name="toggle" value="" onclick="<?php /*smt*/ echo JLMS_getCheckAll(count($rows)); ?>" /></<?php echo JLMSCSS::tableheadertag();?>>
									<<?php echo JLMSCSS::tableheadertag();?> width="1%" class="<?php echo JLMSCSS::_('sectiontableheader');?> center"><?php echo _JLMS_ACTION;?></<?php echo JLMSCSS::tableheadertag();?>>
									<?php } ?>
									<<?php echo JLMSCSS::tableheadertag();?> class="<?php echo JLMSCSS::_('sectiontableheader');?>"><?php echo _JLMS_HW_TBL_HEAD_HW;?></<?php echo JLMSCSS::tableheadertag();?>>
									<<?php echo JLMSCSS::tableheadertag();?> width="10%" class="<?php echo JLMSCSS::_('sectiontableheader');?> nowrap"><?php echo _JLMS_HW_TBL_HEAD_DATE;?></<?php echo JLMSCSS::tableheadertag();?>>
									<<?php echo JLMSCSS::tableheadertag();?> width="10%" class="<?php echo JLMSCSS::_('sectiontableheader');?> nowrap"><?php echo _JLMS_HW_TBL_HEAD_ENDDATE;?></<?php echo JLMSCSS::tableheadertag();?>>
								</tr>
							</thead>
							<tbody>
								<?php
								$k = 1;
								for ($i=0, $n=count($rows); $i < $n; $i++) {
									$row = $rows[$i];
									$link = "index.php?option=$option&Itemid=$Itemid&task=hw_stats&course_id=$id&id={$row->id}";
									$alt = ($row->published)?(_JLMS_STATUS_PUB):_JLMS_STATUS_UNPUB;
									$image = ($row->published)?('btn_accept.png'):'btn_cancel.png';
									$state = ($row->published)?0:1;
									$tooltip_txt = '';
									$tooltip_title = $alt;
									if ($row->is_time_related) {
										if ($row->published) {
											$image = 'btn_publish_wait.png';
											$tooltip_title = _JLMS_STATUS_PUB;
										} else {
											$image = 'btn_unpublish_wait.png';
											$tooltip_title = _JLMS_STATUS_UNPUB;
										}
										$tooltip_txt = _JLMS_WILL_BE_RELEASED_IN;
										$showperiod = $row->show_period;
										$ost1 = $showperiod%(24*60);
										$sp_days = ($showperiod - $ost1)/(24*60);
										$ost2 = $showperiod%60;
										$sp_hours = ($ost1 - $ost2)/60;
										$sp_mins = $ost2;
										$release_time_info = false;
										if ($sp_days) {
											$tooltip_txt .= ' '.$sp_days.' '._JLMS_RELEASED_IN_DAYS;
											$release_time_info = true;
										}
										if ($sp_hours) {
											$tooltip_txt .= ' '.$sp_hours.' '._JLMS_RELEASED_IN_HOURS;
											$release_time_info = true;
										}
										if ($sp_mins) {
											$tooltip_txt .= ' '.$sp_mins.' '._JLMS_RELEASED_IN_MINUTES;
											$release_time_info = true;
										}
										if ($release_time_info) {
											$tooltip_txt .= ' '._JLMS_RELEASED_AFTER_ENROLLMENT;
										}
									}

									$checked = '';
									if ($JLMS_ACL->CheckPermissions('homework', 'manage')) {
										$checked = mosHTML::idBox( $i, $row->id, $row->checkedout );
									}?>
									<tr class="<?php echo JLMSCSS::_('sectiontableentry'.$k); ?>">
										<td class="center"><?php echo ( $pageNav->limitstart + $i + 1 ); ?></td>
										<?php
										if ($JLMS_ACL->CheckPermissions('homework', 'manage')) {
											echo '<td>' . $checked . '</td>';
											?>
											<td>
												<?php
												$itemToolbar = new \LMS\Widgets\ItemToolbar();
												$publishButtonLegacyParams = array(
													'state' => $row->published,
													'tip' => $tooltip_title,
													'tipDescription' => $tooltip_txt
												);
												if($row->published){
													$publishButtonLegacyParams['href'] = 'javascript:listItemTask(\'cb'.$i.'\', \'hw_unpublish\')';
												} else {
													$publishButtonLegacyParams['href'] = 'javascript:listItemTask(\'cb'.$i.'\', \'hw_publish\')';
												}
												$itemToolbar->addPublishButtonLegacy($publishButtonLegacyParams);
												if ($row->is_time_related) {
													$itemToolbar->addInfoButton(array(
														'tip' => JText::_('_JLMS_INFORMATION'),
														'tipDescription' => $tooltip_txt,
													));
												}
												$dropDown = $itemToolbar->addDropDownButton();
													$dropDown->addEditItem( array('href' => 'javascript:listItemTask(\'cb'.$i.'\', \'hw_edit\')') );
													$dropDown->addDeleteItem( array('href' => 'javascript:listItemTask(\'cb'.$i.'\', \'hw_delete\')') );

												echo $itemToolbar->render();
												?>
											</td>
											<?php
										} ?>
										<td>
											<?php
											$property = '';
											if($row->hw_shortdescription){
												$property = 'class="hasTooltip"';
												$text_description = $row->hw_shortdescription;
												preg_match_all('#\S+#', $text_description, $out, PREG_PATTERN_ORDER);

												if(isset($out[0]) && is_array($out[0]) && count($out[0])){
													$all_words = $out[0];
													$num_words = count($all_words);
													if($num_words > 50){
														$text_description = implode(' ', array_slice($all_words, 0, 50));
														$text_description .= '..';
													}
												}
												$text_description = '<strong>'._JLMS_DESCRIPTION.':</strong> ' . $text_description;
												$property .= 'title="'.JHtml::tooltipText($text_description).'"';
											}
											?>
											<a <?php echo $property;?> href="<?php echo sefRelToAbs($link);?>">
												<?php echo $row->hw_name;?>
											</a>
										</td>
										<td class="center nowrap">
											<?php echo JLMS_dateToDisplay($row->post_date);?>
										</td>
										<td class="center nowrap">
											<?php echo JLMS_dateToDisplay($row->end_date);?>
										</td>
									</tr>
									<?php
									$k = 3 - $k;
								} ?>
							</tbody>
							<tfoot>
								<tr>
									<td colspan="<?php echo $hw_colspan;?>">
										<div class="row-fluid">
											<div class="pagination center">
												<p class="counter">
													<?php echo $pageNav->getPagesCounter();?>
												</p>
												<?php
												$link = "index.php?option=com_joomla_lms&Itemid=$Itemid&task=homework&id=$id";
												echo $pageNav->writePagesLinks( $link );
												?>
											</div>
										</div>
									</td>
								</tr>
							</tfoot>
						</table>
					<?php
					} else {
						?>
						<div class="alert alert-info text-center"><?php echo _JLMS_NO_ITEMS_HERE;?></div>
						<?php
					}
					?>
					<input type="hidden" name="option" value="<?php echo $option;?>" />
					<input type="hidden" name="Itemid" value="<?php echo $Itemid;?>" />
					<input type="hidden" name="task" value="homework" />
					<input type="hidden" name="boxchecked" value="0" />
					<input type="hidden" name="id" value="<?php echo $id;?>" />
					<input type="hidden" name="state" value="0" />
					<input type="hidden" name="cid2" value="0" />
				</form>

		<?php
		/*
		JLMS_TMPL::CloseTS();
		if ( $id && ($JLMS_ACL->CheckPermissions('homework', 'manage')) ) {
			$link_new = sefRelToAbs("index.php?option=$option&Itemid=$Itemid&task=hw_create&id=$id");
			$controls = array();
			$controls[] = array('href' => $link_new, 'onclick' => "", 'title' => _JLMS_HW_IMG_NEW_HW, 'img' => 'add');
			$controls[] = array('href' => "javascript:submitbutton('hw_delete');", 'title' => _JLMS_HW_IMG_DEL_HW, 'img' => 'delete');
			$controls[] = array('href' => "javascript:submitbutton('hw_edit');", 'title' => _JLMS_HW_IMG_EDIT_HW, 'img' => 'edit');
			JLMS_TMPL::ShowControlsFooter($controls);
		}
		JLMS_TMPL::CloseMT();
		*/
	}
}
?>