<?php
 
namespace LMS\Tools\Mailbox\Model;
 
defined('_JEXEC') or die;

use LMS\Libraries;
use LMS\Libraries\Repository;
use LMS\Libraries\User;
use LMS\Libraries\Base;
use LMS\Libraries\Repository\Tables;
use LMS\Libraries\ServiceLocator;
use LMS\Tools\Mailbox\Repositories as Rep;

class MailBox extends Base\Model
{	
	var $context = 'mailbox';
	
	var $modelDir = __DIR__;
	
	public function __construct($options = array())
	{		
		$this->repository = new Rep\Mailbox();
		
		$this->config = ServiceLocator::get('config');
		
		parent::__construct($options);
	}	

	public function loadFormData()
	{
		$filters = $this->getState('list.filters');
		$courseId = $this->getState('course_id');
		
		return array(
			'search' => isset($filters['search'])?$filters['search']:'',
			'course_id' => isset($filters['course_id'])?$filters['course_id']:$courseId
		);
	}
}
