<?php
defined('JPATH_PLATFORM') or die;

use LMS\Libraries;

JFormHelper::loadFieldClass('list');

class JFormFieldRole extends JFormFieldList
{	
	protected $type = 'Role';
	
	protected function getOptions()
	{			
		Libraries\ServiceLocator::load('tool.users');
		
		$rep	= Libraries\ServiceLocator::get('role_rep');
		$acl	= Libraries\ServiceLocator::get('acl_lms');
		
		$exceptAssistant = $exceptTeacher = true;
				
		$items = $rep->getByFilter(array(
				'fields'=>'role.id, role.title',
				'roles'=>array('student', 'assistant')
		));
				
		$options = array();
		$options[] = JHtml::_('select.option', '', '', 'value', 'text', false);
		
		foreach($items AS $item) {		
			$options[] = JHtml::_('select.option', $item->id, $item->title, 'value', 'text', false);
		}
				
		return $options;		
	}
}
?>