<?php
defined('_JEXEC') or die;

class ModJlmsLpathsHelper
{
	public static function getLastIncompleteLpath($params)
	{
		$pathToLms = JPATH_SITE . '/components/com_joomla_lms';
		require_once ($pathToLms . '/libraries/servicelocator.php');

		\LMS\Libraries\ServiceLocator::registerNamespace('LMS', $pathToLms);
		\LMS\Libraries\ServiceLocator::activate();

		\LMS\Libraries\ServiceLocator::load('lib.base');

		$jlmsConfig = \LMS\Libraries\ServiceLocator::get('config');

		$course_id = $jlmsConfig->get('course_id');

//		var_dump($course_id);

		$resultLpath = new stdClass();

		if($course_id){
			$db = \LMS\Libraries\ServiceLocator::get('db');
			$user = \LMS\Libraries\ServiceLocator::get('user');

			$query = "SELECT user_id FROM #__lms_users_in_groups WHERE user_id = ".$user->get('id')
				. "\n AND course_id = '".$course_id."'"
				. "\n AND ( ((publish_start = 1) AND (start_date <= '".date('Y-m-d')."')) OR (publish_start = 0) )"
				. "\n AND ( ((publish_end = 1) AND (end_date >= '".date('Y-m-d')."')) OR (publish_end = 0) )";
			$db->setQuery($query);
			$user_enrolled = $db->LoadResult();

//			var_dump($user_enrolled);

			$user_is_teacher = false;
			if (!$user_enrolled) {
				$query = "SELECT user_id FROM #__lms_user_courses WHERE user_id = ".$user->get('id')
					. "\n AND course_id = '".$course_id."'";
				$db->SetQuery($query);
				$user_is_teacher = $db->LoadResult();
				if (!$user_is_teacher) {
					//check if admin
					$query = "SELECT a.user_id FROM #__lms_users as a, #__lms_usertypes as b WHERE a.user_id = ".$user->get('id')
						. "\n AND a.lms_usertype_id = b.id AND b.roletype_id = 4";
					$db->SetQuery($query);
					$user_is_teacher = $db->LoadResult();
				}
			}

//			var_dump($user_is_teacher);

			if ($user_enrolled || $user_is_teacher) {
				$query = "SELECT params FROM #__lms_courses WHERE id = $course_id";
				$db->SetQuery($query);
				$course_params_str = $db->LoadResult();
				$course_params = new JParameter( $course_params_str );
				if ( intval($course_params->get('lpath_redirect'))) {
					$lpath_id = intval($course_params->get('lpath_redirect'));
				}
				//get list of course lpaths
				$query = "SELECT a.*, '' as r_status, '' as r_start, '' as r_end, '' as author_name"
					. "\n FROM #__lms_learn_paths as a"
					. "\n WHERE a.course_id = '".$course_id."'"
					. "\n AND a.published = 1"
					. "\n AND a.item_id = 0" //native lpaths only
					."\n ORDER BY a.ordering";
				$db->SetQuery($query);
				$lpaths = $db->loadObjectList();
			}

//			echo '<pre>';
//			print_r($lpaths);
//			echo '</pre>';

			if (isset($lpaths) && count($lpaths)) {
				//get list of course lpaths with results

				if (!defined('DS')) { define( 'DS', DIRECTORY_SEPARATOR ); }
				if (!defined('_JOOMLMS_FRONT_HOME')) { define('_JOOMLMS_FRONT_HOME', JPATH_SITE . DS . 'components' . DS . 'com_joomla_lms'); }

				require_once(_JOOMLMS_FRONT_HOME . "/includes/lms_grades.lib.php");
				$user_ids = array();
				$user_ids[] = $user->get('id');
				JLMS_LP_populate_results($course_id, $lpaths, $user_ids);

				foreach ($lpaths as $lpath) {

//					echo '<pre>';
//					print_r($lpath);
//					echo '</pre>';

					if (isset($lpath->r_status) && !$lpath->r_status) {
						$resultLpath = $lpath;
						break;
					}
				}

//				echo '<pre>';
//				print_r($resultLpath);
//				echo '</pre>';

				require_once(_JOOMLMS_FRONT_HOME . "/joomla_lms.course_lpathstu.php");
			}
		}

		return $resultLpath;
	}
}