<?php
/**
 * User: nester_a
 * Date: 29.10.13
 */

namespace Gtm\Repository;

use LMS\Tools\Conference\Repositories;
use Gtm\Table;

class Gtmbooking extends Repositories\Booking
{
	public function __construct($options)
	{
		parent::__construct($options);
		$this->table = new Table\Booking($this->db);
	}

	protected function beforeSave(&$data)
	{
		parent::beforeSave($data);
		$input = $data;
		$data = array(
			'conf_id' => $input['conferenceID'],
			'meeting_id' => $input['meetingid'],
			'unique_meeting_id' => $input['uniqueMeetingId'],
			'join_url' => $input['joinURL'],

		);
	}


}