<?php
/**
 * User: nester_a
 * Date: 23.06.14
 */

namespace LMS\Libraries\Exception\Operation;

class Error extends \Exception
{
	/**
	 * @var string
	 */
	private $redirectURL;

	public function __construct($message, $redirectURL = '', $code = 0, \Exception $previous = null)
	{
		$this->redirectURL = $redirectURL;
		parent::__construct($message, $code, $previous);
	}

	/**
	 * @return string
	 */
	public function getRedirectURL()
	{
		return $this->redirectURL;
	}



}